RDKit::MolSanitizeException Class Reference

class for flagging sanitization errors More...

`#include <SanitException.h>`

Inheritance diagram for RDKit::MolSanitizeException:

## Public Member Functions

| MolSanitizeException (const char *msg)
| MolSanitizeException (const std::string &msg)
| MolSanitizeException (const MolSanitizeException &other)
virtual const char * | message () const
virtual | ~MolSanitizeException () throw ()
virtual MolSanitizeException * | copy () const
virtual std::string | getType () const

## Protected Attributes

std::string | d_msg

## Detailed Description

class for flagging sanitization errors

Definition at line 27 of file SanitException.h.

## Constructor & Destructor Documentation

## MolSanitizeException() [1/3]

RDKit::MolSanitizeException::MolSanitizeException | ( | const char * | msg | ) |

inline

Definition at line 29 of file SanitException.h.

## MolSanitizeException() [2/3]

RDKit::MolSanitizeException::MolSanitizeException | ( | const std::string & | msg | ) |

inline

Definition at line 30 of file SanitException.h.

## MolSanitizeException() [3/3]

RDKit::MolSanitizeException::MolSanitizeException | ( | const MolSanitizeException & | other | ) |

inline

Definition at line 31 of file SanitException.h.

## ~MolSanitizeException()

virtual RDKit::MolSanitizeException::~MolSanitizeException | ( |  | ) |
throw | ( |
| ) |  |

inline virtual

Definition at line 34 of file SanitException.h.

## Member Function Documentation

## copy()

virtual MolSanitizeException* RDKit::MolSanitizeException::copy | ( |  | ) | const

inline virtual

Reimplemented in RDKit::KekulizeException, RDKit::AtomKekulizeException, RDKit::AtomValenceException, and RDKit::AtomSanitizeException.

Definition at line 35 of file SanitException.h.

## getType()

virtual std::string RDKit::MolSanitizeException::getType | ( |  | ) | const

inline virtual

Reimplemented in RDKit::KekulizeException, RDKit::AtomKekulizeException, RDKit::AtomValenceException, and RDKit::AtomSanitizeException.

Definition at line 38 of file SanitException.h.

## message()

virtual const char* RDKit::MolSanitizeException::message | ( |  | ) | const

inline virtual

Definition at line 33 of file SanitException.h.

## Member Data Documentation

## d_msg

std::string RDKit::MolSanitizeException::d_msg

protected

Definition at line 38 of file SanitException.h.

The documentation for this class was generated from the following file:

- SanitException.h